## mseed2sac 2.2+ds1

=== Makefile ===

DIRS = libmseed src

all clean static install ::
	@for d in $(DIRS) ; do \
	    echo "Running $(MAKE) $@ in $$d" ; \
	    if [ -f $$d/Makefile -o -f $$d/makefile ] ; \
	        then ( cd $$d && $(MAKE) $@ ) ; \
	    elif [ -d $$d ] ; \
	        then ( echo "ERROR: no Makefile/makefile in $$d for $(CC)" ) ; \
	    fi ; \
	done

=== src/Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

# Required compiler parameters
REQCFLAGS = -I../libmseed

LOCALFLAGS = 

BIN = mseed2sac

LDFLAGS = -L../libmseed
LDLIBS = -lm -lmseed

OBJS = $(BIN).o

nozip: LOCALFLAGS = -DNOFDZIP

all: $(BIN)

$(BIN): $(OBJS) fdzipstream.o
	$(CC) $(CFLAGS) -o ../$(BIN) $(OBJS) fdzipstream.o $(LDFLAGS) $(LDLIBS) -lz

nozip: $(OBJS)
	$(CC) $(CFLAGS) -o ../$(BIN) $(OBJS) $(LOCALFLAGS) $(LDFLAGS) $(LDLIBS)

clean:
	rm -f $(OBJS) fdzipstream.o ../$(BIN)

# Implicit rule for building object files
%.o: %.c
	$(CC) $(CFLAGS) $(REQCFLAGS) $(LOCALFLAGS) -c $<

install:
	@echo
	@echo "No install target, copy the executable(s) to desired location"
	@echo

=== debian/changelog ===
mseed2sac (2.2+ds1-3) unstable; urgency=medium

  * Patch upstream's Makefile to honor CPPFLAGS and LDFLAGS
  * Hardened build (hardening=+all)

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 13 Feb 2018 20:13:09 +0100

mseed2sac (2.2+ds1-2) unstable; urgency=medium

  * d/control: use the correct maintainers mailing list address
  * Depend on debhelper >=11~ (allows backporting to stretch-backports)

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 08 Feb 2018 17:00:19 +0100

mseed2sac (2.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #886993)

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 17 Jan 2018 10:58:39 +0100

=== debian/control ===
Source: mseed2sac
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends: libmseed-dev, zlib1g-dev, debhelper (>=11~)
Standards-Version: 4.1.3
Homepage: https://ds.iris.edu/ds/nodes/dmc/software/
Vcs-Git: https://salsa.debian.org/science-team/mseed2sac.git
Vcs-Browser: https://salsa.debian.org/science-team/mseed2sac

Package: mseed2sac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Convert MiniSEED time series data to SAC
 SAC and MiniSEED are two commonly used formats for seismological data.
 .
 mseed2sac converts MiniSEED waveform data to SAC format. The output SAC
 file can be either ASCII or binary (either byte-order), the default is
 binary with the same byte-order as the host computer. By default all
 aspects of the input files are automatically detected.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = mseed2sac
PKGDIR  = $(CURDIR)/debian/$(PACKAGE)
BINDIR  = $(PKGDIR)/usr/bin

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	install -D -m 755 mseed2sac $(BINDIR)/mseed2sac

## mseed2sac 2.3+ds1

=== debian/changelog ===
mseed2sac (2.3+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libmseed2t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 21 Apr 2024 22:55:30 +0100

mseed2sac (2.3+ds1-1) unstable; urgency=medium

  * New upstream version 2.3.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * B-D on debhelper-compat 12; drop d/compat.
  * d/control: add Rules-Requires-Root: no

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 04 Dec 2019 09:54:51 +0000

mseed2sac (2.2+ds1-4) unstable; urgency=medium

  * Depend on libmseed >= 2.19.5-2 (fixes FTBFS on Hurd and kFreeBSD)
  * Bump Standards-Version to 4.1.5 (no changes needed)
  * Use a d/install file instead of calling install(1) in d/rules

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 31 Jul 2018 15:56:50 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: libmseed-dev, zlib1g-dev, debhelper (>=11~)
-Standards-Version: 4.1.3
+Build-Depends: libmseed-dev (>= 2.19.5-2), zlib1g-dev, debhelper-compat (= 12)
+Standards-Version: 4.4.1
 Homepage: https://ds.iris.edu/ds/nodes/dmc/software/
 Vcs-Git: https://salsa.debian.org/science-team/mseed2sac.git
 Vcs-Browser: https://salsa.debian.org/science-team/mseed2sac
+Rules-Requires-Root: no
 
 Package: mseed2sac
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mseed2sac-$1\.tar\.gz/,dversionmangle=s/\+ds\d*$// \
 https://github.com/iris-edu/mseed2sac/tags .*/v?(\d\S+)\.tar\.gz
